<!--Begin: Header -->
<header class="inner-header">
    <div class="container'">
        <div class="header">
            <h1 class="logo">
                <a href="javascript:;" [routerLink]="['/home']" title="School Name">
                	<span>School Name</span>
                    <img src="assets/images/school-logo.png" alt="School Name">
                </a>
            </h1>
            <div class="profile-dropdown dropdown">
              	<a href="#" data-toggle="dropdown" role="button" aria-expanded="false">
              		<span class="user-info">
              			<span class="user-name">{{getToken('ss_name')}}</span>
              			<span class="user-pic"><img [src]="getProfile()" alt="Avatar"></span>
              		</span>

              	</a>
                <div role="menu" class="dropdown-menu dropdown-menu-right">
                  <a *ngIf="role == 'teacher'" [routerLink]="['/teacher-profile', getToken('ss_entity_id')]" class="dropdown-item"><i class="fa fa-user" aria-hidden="true"></i>My Profile</a>
                  <a *ngIf="role == 'teacher'" href="javascript:;" class="dropdown-item" (click)="openChangePassModal(ChangePassword)"><i class="fa fa-unlock-alt" aria-hidden="true"></i>Change Password</a>
                  <a href="javascript:;" (click)="logout()" class="dropdown-item"><i class="fa fa-sign-out" aria-hidden="true"></i>Logout</a>
                </div>
            </div>
        </div>
    </div>
</header>
<!--End: Header -->
<!--Begin: Change Password Modal-->
<ng-template #ChangePassword>
  <form #passwordForm='ngForm' (ngSubmit)='onChangePassword(passwordForm,user)'>
    <div class="addnote-modal">
        <div class="modal-header">
        <h6 class="modal-title">Change Password</h6>
        </div>
        <div class="modal-body">
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <label class="control-label">Current Pasword</label>
                        <input class='form-control' type="password" name="currentPassword" [(ngModel)]="user.currentPassword" autocomplete="off" id="currentPassword" required #currentPassword="ngModel" />
                        <div class="error-block" *ngIf="((submitted || currentPassword.touched) && currentPassword.invalid)">
                          {{showError('currentPassword', currentPassword.errors)}}
                        </div>
                    </div>
                </div>
                <div class="col-12">
                    <div class="form-group">
                        <label class="control-label">New password</label>
                        <input class='form-control' type="password" name="newPassword" [(ngModel)]="user.newPassword" autocomplete="off"
                          id="newPassword" required #newPassword="ngModel" />
                        <div class="error-block" *ngIf="((submitted || newPassword.touched) && newPassword.invalid)">
                          {{showError('newPassword', newPassword.errors)}}
                        </div>
                    </div>
                </div>
                <div class="col-12">
                    <div class="form-group">
                        <label class="control-label">Confirm new password</label>
                        <input class='form-control' type="password" name="confirmPassword" [(ngModel)]="user.confirmPassword" autocomplete="off"
                          id="confirmPassword" required #confirmPassword="ngModel" />
                        <div class="error-block" *ngIf="((submitted || confirmPassword.touched) && confirmPassword.invalid)">
                          {{showError('confirmPassword', confirmPassword.errors)}}
                        </div>
                        <div class="error-block" *ngIf="((submitted || confirmPassword.touched) && confirmPassword.valid && (user.confirmPassword != user.newPassword))">
                           New password & Confirm Password must be same.
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal-footer text-right">
            <button class="btn btn-secondary" type="button" (click)="modalRefChangePassModal.hide()">Close</button>
            <button class="btn btn-primary" type="submit">Submit</button>
        </div>
    </div>
  </form>
</ng-template>
<!--End: Change Password Modal-->
